# we don't want to provide private python extension libs
%define __provides_exclude_from	^(%{python2_sitearch}/.*\\.so|%{python3_sitearch}/.*\\.so)$

Name:		python-iptables
Version:	0.11.0
Release:	%mkrel 1
Summary:	Python library for manipulating iptables
License:	Apache Software License
Group:		Development/Python
URL:		https://github.com/ldx/python-iptables
Source0:	https://pypi.io/packages/source/p/python-iptables/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
python-iptables is a library for doing iptables manipulations from python.

%package -n	python3-iptables
Summary:	Python 3 library for manipulating iptables
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-iptables
python3-iptables is a library for doing iptables manipulations from python 3.

%prep
%setup -q

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc NOTICE
%{python2_sitearch}/iptc
%{python2_sitearch}/libxtwrapper.so
%{python2_sitearch}/python_iptables-*.egg-info

%files -n python3-iptables
%doc NOTICE
%{python3_sitearch}/iptc
%{python3_sitearch}/libxtwrapper*.so
%{python3_sitearch}/python_iptables-*.egg-info


%changelog
* Thu May 26 2016 daviddavid <daviddavid> 0.11.0-1.mga6
+ Revision: 1018826
- new version: 0.11.0
- update for new pypi Source URL

* Fri Jan 29 2016 daviddavid <daviddavid> 0.10.0-1.mga6
+ Revision: 928983
- new version: 0.10.0
- update URL and Source URL
- add python3 package
- use new python macros

* Sat Sep 27 2014 tv <tv> 0.1.1-0.23052012.3.mga6
+ Revision: 728764
- rebuild for missing pythoneggs deps

* Sat Oct 26 2013 philippem <philippem> 0.1.1-0.23052012.2.mga5
+ Revision: 547211
- Mageia 4 Mass Rebuild

* Sun Jun 03 2012 juancho <juancho> 0.1.1-0.23052012.1.mga3
+ Revision: 253812
- Updated to latest git version for next 0.1.1 release

* Sun Mar 18 2012 juancho <juancho> 0.1.0-1.mga3
+ Revision: 223782
- imported package python-iptables


* Wed Aug 03 2011 Chris Lalancette <clalance@redhat.com> - 0.1.0-2
- Add the license file as doc

* Wed Jul 27 2011 Chris Lalancette <clalance@redhat.com> - 0.1.0-1
- Initial build.
